Ubuntu

[MASTER] E-D-S hangs on login and uses 100% cpu

Reported by Michael Vogt on 2007-10-11
228
This bug affects 17 people
Affects Status Importance Assigned to Milestone
evolution-data-server
Expired
Critical
evolution-data-server (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: evolution-data-server

<PLEASE> -- do not add simple "me too" comments, they do not help: we already *know* this is a problem, and these comments only make it more difficult to find potentially important data in the bug. If you have the knowledge and time to help debug, your help *is* appreciated. Go to #ubuntu-bugs in irc.freenode.net, and discuss it there. I am sure that any one of us will be more than happy to get on with this ;-)</PLEASE>

On login evolution-data-server uses 100% cpu. At login evolution-alarm-notify is auto-started by gnome-session; e-a-n kicks in E-D-S and, for yet an unknown reason, E-D-S enters a loop. strace on E-D-S shows a sequence of very fast poll() calls; a strace on e-a-n shows e-a-n waiting for an event. This seems to happen on some machines, but not all. It affects both Evolution users and non-users -- E-D-S is still installed under Gnome even if you do not use the Evolution mail client.

All symptoms are of a race condition, very early in E-D-S or a library startup. Backtraces are inconclusive, and show slightly different code paths. I cannot reproduce it on my machine (an AMD64 dual-core), no matter what I try.

I would like to know what Linux and hardware architecture, and how many CPUs for those that are *frequently* hit (for example, {linux64, AMD64, 2 CPUs}, meaning I am running linux64 on an AMD64 with two CPUs; {linux32, AMD64, 4 CPUs}, meaning I am running linux32 Intel on an AMD64 with 4 CPUs).

Right now we are considering this as a race very early on session startup, perhaps caused by the current placement of e-a-n on the default session list (with the default priority of 50). I myself still cannot reproduce it, and I wonder if having a dual-CPU machine, and/or linux64, and/or AMD64, makes the race more difficult to happen.

Michael Vogt (mvo) wrote :

(gdb) thread apply all bt full

Thread 3 (Thread -1224352880 (LWP 6553)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb76ec647 in poll () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb77f5593 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3 0x080c37a8 in ?? ()
No symbol table info available.
#4 0x00000009 in ?? ()
No symbol table info available.
#5 0xffffffff in ?? ()
No symbol table info available.
#6 0x080c37a8 in ?? ()
No symbol table info available.
#7 0x0000000b in ?? ()
No symbol table info available.
#8 0xb776f2d6 in ?? () from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#9 0xb7774541 in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#10 0xb77f5909 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#11 0xb7909c20 in ?? () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#12 0x080531c8 in ?? ()
No symbol table info available.
#13 0xb787f21c in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#14 0xb705d3d8 in ?? ()
No symbol table info available.
#15 0xb78155af in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#16 0x00000000 in ?? ()
No symbol table info available.

Thread 2 (Thread -1260389488 (LWP 6574)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb76ec647 in poll () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb77f5593 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#3 0x080815c8 in ?? ()
No symbol table info available.
#4 0x00000001 in ?? ()
No symbol table info available.
#5 0xffffffff in ?? ()
No symbol table info available.
#6 0x080815c8 in ?? ()
No symbol table info available.
#7 0x00000001 in ?? ()
No symbol table info available.
#8 0xb776a140 in ?? () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#9 0xb7774541 in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#10 0xb77f5909 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#11 0xb7f50932 in ?? () from /usr/lib/libebook-1.2.so.9
No symbol table info available.
#12 0x08081168 in ?? ()
No symbol table info available.
#13 0x00000000 in ?? ()
No symbol table info available.

Thread 1 (Thread -1221720400 (LWP 6522)):
#0 0xb77f04d4 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#1 0xbfa97e48 in ?? ()
No symbol table info available.
#2 0xb77f20c3 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
Backtrace stopped: frame did not save the PC
#0 0xb77f04d4 in ?? () from /usr/lib/libglib-2.0.so.0
(gdb)

Markus Kienast (elias1884) wrote :

As far as evolution-data-server consuming 100% cpu on login is concerned, I can confirm this. Surprisingly the load gets down to normal, when I start evolution.

C de-Avillez (hggdh2) wrote :

Thanks, mvo and Elias, for the bug report (and, of course, we are sorry it took us that long to get to it).

Unfortunately, the backtrace is incomplete -- there is a suggestion we are looping trying to acquire a lock, but no real data on who is doing that. Could you please repeat it with debug symbols for (at least) libglib and e-d-s?

Question: was e-d-s already running on login (in other words, did you log out Gnome and log in again)? Does it happen when you log out, or only during login? Is Evo itself auto-started on login?

Changed in evolution-data-server:
assignee: nobody → desktop-bugs
importance: Undecided → Medium
status: New → Incomplete

This happens with first login after boot up.

What is started automatically is the evolution alarm notifier.

Other than that there is to mention that I have a personal and a
business calendar. I had also a Birthdays and Anniversaries calendar but
deactivated due to comments on another e-d-s related bug report, that
this type of calendar causes evolution to not exit cleanly on logout.

Elias, I am now unsure on your issue: the bug relates to evolution-data-server apparent loop, but you state (or I understood so) it was evolution-alarm-notify looping. Can you please clarify?

I am also concerned by this bug.

I found that it occurs when I add a Web Calendar (Google Calendar to be precise), and reboot the laptop. Everytime I log into Gnome, the evolution-data-server take 100% cpu and I must do evolution --force-shutdown to stop it.

I have not see this bug without a web calendar configured.

Michael Vogt (mvo) wrote :

Here is a updated backtrace:

$ gdb -p 6969
(gdb) thread apply all bt

Thread 3 (Thread 0xb6f95b90 (LWP 7016)):
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb7634697 in poll () from /lib/tls/i686/cmov/libc.so.6
#2 0xb7749166 in g_main_context_iterate (context=0x8064d90, block=1,
    dispatch=1, self=0x8061128)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:3006
#3 0xb7749517 in IA__g_main_loop_run (loop=0x80531b0)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:2905
#4 0xb7848c30 in ?? () from /usr/lib/libORBit-2.so.0
#5 0x080531b0 in ?? ()
#6 0xb77bc248 in ?? () from /usr/lib/libglib-2.0.so.0
#7 0xb6f953d8 in ?? ()
#8 0xb776e01f in g_thread_create_proxy (data=0x8061128)
    at /build/buildd/glib2.0-2.15.3/glib/gthread.c:635
Backtrace stopped: frame did not save the PC

Thread 2 (Thread 0xb4dffb90 (LWP 7042)):
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb7634697 in poll () from /lib/tls/i686/cmov/libc.so.6
#2 0xb7749166 in g_main_context_iterate (context=0x80894c8, block=1,
    dispatch=1, self=0x8082868)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:3006
#3 0xb7749517 in IA__g_main_loop_run (loop=0x8089348)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:2905
#4 0xb7f8c592 in ?? () from /usr/lib/libebook-1.2.so.9
#5 0x08089348 in ?? ()
#6 0x00000000 in ?? ()

Thread 1 (Thread 0xb723f8c0 (LWP 6969)):
#0 0xb76be595 in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#1 0xb7745dd4 in IA__g_main_context_dispatch (context=0x805d2a8)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:2074
#2 0xb7749133 in g_main_context_iterate (context=0x805d2a8, block=1,
    dispatch=1, self=0x804e490)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:2697
#3 0xb7749517 in IA__g_main_loop_run (loop=0x80a9330)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:2905
#4 0xb7895d53 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#5 0x0804b974 in ?? ()
#6 0x0804c3c7 in ?? ()
#7 0x00000020 in ?? ()
---Type <return> to continue, or q <return> to quit---
#8 0x0804c4e3 in ?? ()
#9 0x00000000 in ?? ()
#0 0xb76be595 in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0

$ strace -p 6969
poll([{fd=5, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}], 2, 0) = 0

$ ltrace -p 6969
--- SIGSTOP (Stopped (signal)) ---
--- SIGSTOP (Stopped (signal)) ---

Michael Vogt (mvo) wrote :

>Question: was e-d-s already running on login (in other words, did you log out Gnome >and log in again)? Does it happen when you log out, or only during login? Is Evo >itself auto-started on login?

This happens on a fresh boot, when I login the first time into gnome (this is with the current hardy now). When I kill evolution-data-server and logout/login then it does not happen anymore. Evo does not start for me (I don't use it at all).

Cheers,
 Michael

Changed in evolution-data-server:
status: Incomplete → New
C de-Avillez (hggdh2) wrote :

Thank you, Michael. Unfortunately, the stacktrace is still incomplete -- Although it looks like we are looping in pthread_mutex_lock (which calls __pthread_lock, which may go into a spinloop), we still do not know which e-d-s module initiated the call, nor when. Could you please install e-d-s-dbgsym (in fact, please install all corresponding e-d-s dbgsym packages, see below for a list of potential packages) )and repeat the bt with a 'thread apply all bt full'?

This is still very weird... a loop at this point suggests something else is broken at a basic level... or some structures are being overlaid.

E-D-S builds the following packages; some of them will be installed, please install the corresponding dbgsym packages (and please adjust version info as needed):

evolution-data-server
 libcamel1.2-10
 libebook1.2-9
 libecal1.2-7
 libedata-book1.2-2
 libedata-cal1.2-6
libedataserver1.2-9
 libedataserverui1.2-8
 libegroupwise1.2-13
 libexchange-storage1.2-3
 libgdata-google1.2-1
 libgdata1.2-1

Changed in evolution-data-server:
status: New → Incomplete
C de-Avillez (hggdh2) wrote :

a brief chat on #evolution suggests this might be related to having no network at login (one of them has seen something like this before).

Yeah, I think it's the problem because if you use NetworkManager, the connection is not ready when e-d-s start.

So, I think that if you have a web calendar and the connection is not ready, e-d-s start like crazy...

C de-Avillez (hggdh2) wrote :

I tried without network:

(1) standard login after boot, with a monitor running on tty1. No loops.

(2) disabling NetworkManager, and disconnecting from the wired network; rebooted and logged in, with a monitor running on tty1. No loops.

So I cannot repeat the issue. I depend on you to get a backtrace with E-D-S symbols so that we can dig further on this.

Michael Vogt (mvo) wrote :
Download full text (3.8 KiB)

Here is a new backtrace:

(gdb) thread apply all bt full

Thread 3 (Thread 0xb6ea0b90 (LWP 7106)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb753c697 in poll () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb7651166 in g_main_context_iterate (context=0x8064df0, block=1,
    dispatch=1, self=0x8060e10)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:3006
 got_ownership = <value optimized out>
 max_priority = 2147483647
 timeout = -1
 some_ready = <value optimized out>
 nfds = 11
 allocated_nfds = <value optimized out>
 fds = (GPollFD *) 0x80bdcb0
 __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3 0xb7651517 in IA__g_main_loop_run (loop=0x80531b0)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:2905
 got_ownership = -1218681568
 self = (GThread *) 0x8060e10
 __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4 0xb7750c30 in ?? () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5 0x080531b0 in ?? ()
No symbol table info available.
#6 0xb76c4248 in ?? () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#7 0xb6ea03d8 in ?? ()
No symbol table info available.
#8 0xb767601f in g_thread_create_proxy (data=0x8060e10)
    at /build/buildd/glib2.0-2.15.3/glib/gthread.c:635
 __PRETTY_FUNCTION__ = "g_thread_create_proxy"
Backtrace stopped: frame did not save the PC

Thread 2 (Thread 0xb4cfeb90 (LWP 7126)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb753c697 in poll () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb7651166 in g_main_context_iterate (context=0x807fb68, block=1,
    dispatch=1, self=0x8072900)
---Type <return> to continue, or q <return> to quit---
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:3006
 got_ownership = <value optimized out>
 max_priority = 2147483647
 timeout = -1
 some_ready = <value optimized out>
 nfds = 1
 allocated_nfds = <value optimized out>
 fds = (GPollFD *) 0x8084598
 __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3 0xb7651517 in IA__g_main_loop_run (loop=0x8078070)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:2905
 got_ownership = -1218681568
 self = (GThread *) 0x8072900
 __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4 0xb7e94592 in startup_mainloop (arg=0x0) at e-book.c:3765
 loop = (GMainLoop *) 0xfffffffc
#5 0xb767601f in g_thread_create_proxy (data=0x8072900)
    at /build/buildd/glib2.0-2.15.3/glib/gthread.c:635
 __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6 0xb75c44fb in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#7 0xb75468ee in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 1 (Thread 0xb71478c0 (LWP 7084)):
#0 0xb7650db6 in g_main_context_iterate (context=0x805d2a8, block=1,
    dispatch=1, self=0x804e490)
    at /build/buildd/glib2.0-2.15.3/glib/gmain.c:2666
 max_priority = <value optimized out>
 timeout = <value optimized out>
 some_ready = <value optimized out>
 nfds = <value optimized out>
 allocated_nfds = <value optimized out>
 fds = <value optimized out>
 __PRETTY_FUNCTION__ = "g_main_context_iterate"
#1 0xb7651517 in IA__g_main_loop_run (loop=0x808e038)...

Read more...

Anton Kudris (kudris) wrote :

I have the same bug. If anyone can tell me how to create stacktrace I could try to help as well

C de-Avillez (hggdh2) wrote :

@Anton Kudris: after you find yourself in such a situation, find out the pid of the offending process, and run:

gdb -p <pid> # where <pid> is the pid you found above

once in gdb, issue "thread apply all bt full" -- this will dump the backtraces for all threads.

So far I have been unable to reproduce it, or to make sense of the stacktraces we have collected so far. Perhaps it would help to go into some cycles of (interrupt, dump stacks, continue), to see if we can dig into whatever is causing this. Still, this seems to happen very early in e-d-s startup.

No matter what, the backtraces will only have value if the debug packages (either the dbgsym or dbg) for e-d-s (*all* of them), glib, libc6, and libbonobo (at least) are installed.

A Kao (ak-ubuntu) wrote :

This also affects a clean install of Hardy Heron Alpha 5.

Caroline Ford (secretlondon) wrote :

Without wishing to do a "me too" I also have in Hardy. I've set up a web calendar if that helps.

Caroline Ford (secretlondon) wrote :

This is from gdb but it stopped using 100% cpu after I startred gbd.

The versions of syndbg packages were too out of date to install so not sure how useful this is.

Caroline Ford (secretlondon) wrote :
Caroline Ford (secretlondon) wrote :

eds stops using 100% cpu when gdb is attached to it, and resumes when it is closed. I am told this isn't interesting :)

I have a better trace from gdb - but for some reason it isn't picking up libc symbols. I will try and reboot and see if it fixes it.

Caroline Ford (secretlondon) wrote :

First reboot it didn't happen. I loaded evolution itself to see if it would trigger it, it didn't but then my laptop froze hard (this may be random).

Second reboot it did it. It's still not picking up libc symbols.

I don't have internet access when eds starts - nor do I use network manager. This means that evo and firefox 3 now start in offline mode.

Caroline Ford (secretlondon) wrote :

I ran strace on eds for a few seconds.

Process 5690 attached with 3 threads - interrupt to quit
[pid 5679] 20:03:38.365141 restart_syscall(<... resuming interrupted call ...> <unfinished ...>
[pid 5690] 20:03:38.365483 restart_syscall(<... resuming interrupted call ...> <unfinished ...>
[pid 5665] 20:03:38.365589 poll([{fd=5, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}], 2, 0) = 0
[pid 5665] 20:03:38.365698 poll([{fd=5, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}], 2, 0) = 0
....
5665 is eds. The strace output is all the same thing, repeated many times a second. This may or may not be interesting.

C de-Avillez (hggdh2) wrote :

Caroline's bt is good enough; also the strace clearly shows very fast polls. Opened https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/151536 upstream. Finally!

Changed in evolution-data-server:
status: Incomplete → Triaged
C de-Avillez (hggdh2) wrote :

Ugh! what time zone differences made me do? Of course, the upstream bug is not on LP, but gnome: http://bugzilla.gnome.org/show_bug.cgi?id=518524

Changed in evolution-data-server:
status: Unknown → New
C de-Avillez (hggdh2) wrote :

@ Caroline (or any other able to reproduce this): could you please repeat the issue, and get gdb backtraces (thread apply all bt full) from *both* e-d-s and evolution-alarm-notify? Upstream is, right now, as mystified as we are...

C de-Avillez (hggdh2) wrote :

also -- an 'ifconfig -a' would be interesting to see.

I'll be back at home early evening UTC and will see what I can manage.

Caroline Ford (secretlondon) wrote :

I think this started yesterday as a result of me doing one of two
things - either installing evolution itself (it had got uninstalled as
a result of a dist-update) or setting up my google calendar to sync
with evo. I fed evo false email info to allow me to do that..

It's possible that I don't have all of evo installed that I should
have. I don't have exchange server installed, for example.

This may be random and/or expected but with eds frozen by gdb when I clicked on the clock the entire gnome panel died. Unattaching gdb from eds got me the panel back..

Talk on #ubuntu-bugs suggests that clicking on the clock and the panel going away has happened to others without having gdb involved.

Jeffrey Baker (jwbaker) wrote :

I don't think this has anything to do with web calendars because I haven't touched evolution at all (not even launched it a single time) and I still get this 100% looping behavior at the first login after boot. I believe the trigger is no network at login time.

I get it most (75%+) of the time. The workround is to find the process
using top and then attach gdb to it!

This means you can't use evolution, but it gives you your computer back..

C de-Avillez (hggdh2) wrote :

> I get it most (75%+) of the time. The workround is to find the process
> using top and then attach gdb to it!

> This means you can't use evolution, but it gives you your computer
> back..

Or to issue (from a terminal in the X session):

evolution --force-shutdown

Or to simply (not really that different) kill the offending process.

The weirdest of it all is that most people have this behaviour once in
a long while, and Caroline has it most of the time (and, as she told me,
while she was already connected to a PPP session). Hum. Network-Manager
does not really work or recognise PPP as a network connection. Hum.

It may well be that something related to network, or its absence, plays
a role here, but we have been unable to identify what/how.

All I can see from the backtraces is that E-D-S itself is looping *very*
early in the E-D-S startup... so early that I wonder if this is a Evo
issue, or Gnome.

Anyway, once you stop it, everybody (so far) reports it can be restarted
without being hit by the loop.

Caroline Ford (secretlondon) wrote :

Well if I unattach gdb it will go back to 100% cpu usage. I appreciate
that probably isn't the same as stopping it.

There is a bug about firefox and evo about the fact that Firefox
thinks we are offline when we use ppp connections.

nm does respond in syslog when I make my connection though.

Caroline Ford (secretlondon) wrote :

kill -9 process did actually get rid of it.

Mar 2 02:41:02 celery NetworkManager: <debug> [1204425662.393480]
nm_hal_device_added(): New device added (hal udi is
'/org/freedesktop/Hal/devices/net_computer_0').

The above does appear in syslog during wvdial's ppp connection.

Confirmed it is bug. evolution-data-server consume 100% CPU too in my PC. Only happens after the last two updates I did within the past week.

Using Ubuntu Hardy Alpha 5.

Tomas M. (el-dragon) wrote :

ive got the same problem with evolution-data-server.

under hardy alpha6.

i had the problem with firefox thinking it was offline, but ive fixed it adding the following to /etc/network/interfaces:
iface wlan0 inet dhcp
wireless-essid some_ESSID
auto wlan0

now it doesnt think its offline anymore. but the issue concerning e-d-s remains.

only difference between hardy and gutsy is i didnt have an eth0 available at the time, now i have (details concerning 8139too under PIO mode)

eth0 is set on roaming mode (aka no entry under /etc/network/interfaces )

dont know if this helps much.

will try later to blacklist my ethernet module to see if it happens

Jim Qode (jimqode) wrote :

I confirm this bug under Hardy Alpha 6.

ergo (ergo14) wrote :

well one of my pc doesnt hang on login, but evolution-data-(server i guess) process is topping 100% of cpu power, when i do evolution --force-shutdown, everything gets back to normal.
im on 8.04beta. Maybe it has something to do with wireless card ?

ynamestnikov (ynamestnikov) wrote :

to Ergo: I don't use evolution and I haven't got any wireless card, but after login evolution data server + trackerd use 100% of cpu. Strange isn't it?)

Hardy Beta.

Ergo

Ignore me, out-of-coffee-error.

Caroline Ford (secretlondon) wrote :

This is still a problem. I can cope with opening a terminal every boot, running top and then kill -9 process. I don't think we should ship an LTS with this though.

Network manager now thinks I am online all the time and I still have this issue. I'd be interested if there is an overlap between this bug and the firefox reports I am offline bug. People do seem to think it has a connection with networking somehow.

This bug looks stuck (and stuck upstream too), is there any more information we can provide?

Paul Fisher (thetorpedodog) wrote :

Just to confirm the bug, I still see it. Here's a backtrace, if it helps:
#0 0xb76a6a2a in __pthread_mutex_unlock_usercnt ()
   from /lib/tls/i686/cmov/libpthread.so.0
#1 0xb772f55a in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2 0xb772fae9 in ?? () from /usr/lib/libglib-2.0.so.0
#3 0x08057358 in ?? ()
#4 0xbf9c8a78 in ?? ()
#5 0x0816d698 in ?? ()
#6 0x00000002 in ?? ()
#7 0x00000002 in ?? ()
#8 0xb77a3a38 in ?? () from /usr/lib/libglib-2.0.so.0
#9 0xb77a3a60 in ?? () from /usr/lib/libglib-2.0.so.0
#10 0xbf9c8a74 in ?? ()
#11 0x00000001 in ?? ()
#12 0x00000001 in ?? ()
#13 0x08057358 in ?? ()
#14 0x0816d698 in ?? ()
#15 0xb761ba80 in ?? () from /lib/tls/i686/cmov/libc.so.6
#16 0xb76a6df0 in ?? () from /lib/tls/i686/cmov/libpthread.so.0
#17 0xb76a5520 in ?? () from /lib/tls/i686/cmov/libpthread.so.0
#18 0xb7754482 in g_thread_self () from /usr/lib/libglib-2.0.so.0
#19 0xb77301c7 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#20 0xb78a8a93 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#21 0x0804b9f2 in main (argc=134655800, argv=0xbf9c8c64) at server.c:418
#22 0xb7565450 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#23 0x0804a3d1 in _start ()

And for further frustrational (or informational) purposes, I had logged out and logged back in from a previous session when I got e-d-s spinning at 100% CPU.

ynamestnikov (ynamestnikov) wrote :

After last upgrade in 8.04 this bug disappeared. Everything working normally now.

This is still an issue with all updates to Hardy on 3/28/2008. There is also another bug tracking this with much less information. Someone on the Ubuntu team should collapse into a single bug that is still open, active and a high priority and possibly linked upstream. The other bug is 204623:

https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/204623

Caroline Ford (secretlondon) wrote :

I've made the other bug a duplicate. This certainly isn't fixed either.

ynamestnikov (ynamestnikov) wrote :

I wrote :"After last upgrade in 8.04 this bug disappeared. Everything working normally now."

It's not right, because this bug appears sometime=(

somethingkindawierd (beebe) wrote :

I have this problem as well on 8.04. Sometimes on startup the evolution-data-server is consuming 100% cpu, and occasionally (twice since installing 8.04 3 weeks ago) the evolution-data-server has started consuming 100% cpu in the middle of my session, perhaps 20-30 minutes after starting Ubuntu.

Frédéric Petit (fraiddo) wrote :

i have this problem too whith 8.04 beta

yop (yop) wrote :

Hardy *up to date*. And I have this issue.

Sassur (sassur) wrote :

I have the same issue

Same issue here for me Optiplex GX270 fully updated Hardy 4-8 10:20pm

getaceres (getaceres) wrote :

I also have this issue on a Hardy updated to 2008/04/09

Silvio Sisto (sistoviejo) wrote :

Also having this issue.

pete (pete-kent) wrote :

same issue first noted today , all Hardy updates applied.

pete@desk:~$ ps ax |grep evolution-data-server
 8076 ? Sl 4:45 /usr/lib/evolution/evolution-data-server-2.22 --oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_CalFactory:1.2 --oaf-ior-fd=24
 9798 pts/1 R+ 0:00 grep evolution-data-server

pete@desk:~$ strace -p 8076
Process 8076 attached - interrupt to quit
restart_syscall(<... resuming interrupted call ...>

pete@desk:~$ ls -l /proc/8076/fd
total 0
lrwx------ 1 pete pete 64 2008-04-11 15:14 0 -> /dev/null
lrwx------ 1 pete pete 64 2008-04-11 15:14 1 -> /dev/null
lr-x------ 1 pete pete 64 2008-04-11 15:14 10 -> socket:[23847]
l-wx------ 1 pete pete 64 2008-04-11 15:14 11 -> socket:[23850]
lr-x------ 1 pete pete 64 2008-04-11 15:14 12 -> pipe:[23854]
l-wx------ 1 pete pete 64 2008-04-11 15:14 13 -> pipe:[23854]
lrwx------ 1 pete pete 64 2008-04-11 15:14 14 -> pipe:[23855]
lrwx------ 1 pete pete 64 2008-04-11 15:14 15 -> pipe:[23855]
lrwx------ 1 pete pete 64 2008-04-11 15:14 16 -> socket:[23859]
lrwx------ 1 pete pete 64 2008-04-11 15:14 17 -> socket:[23856]
lrwx------ 1 pete pete 64 2008-04-11 15:14 18 -> socket:[23863]
lrwx------ 1 pete pete 64 2008-04-11 15:14 19 -> socket:[23864]
lrwx------ 1 pete pete 64 2008-04-11 15:14 2 -> /dev/null
lr-x------ 1 pete pete 64 2008-04-11 15:14 21 -> pipe:[23954]
lrwx------ 1 pete pete 64 2008-04-11 15:14 22 -> pipe:[23954]
lrwx------ 1 pete pete 64 2008-04-11 15:14 3 -> pipe:[23829]
lr-x------ 1 pete pete 64 2008-04-11 15:14 4 -> pipe:[23829]
l-wx------ 1 pete pete 64 2008-04-11 15:14 5 -> pipe:[23830]
lr-x------ 1 pete pete 64 2008-04-11 15:14 6 -> pipe:[23830]
l-wx------ 1 pete pete 64 2008-04-11 15:14 7 -> pipe:[23831]
lr-x------ 1 pete pete 64 2008-04-11 15:14 8 -> pipe:[23831]
l-wx------ 1 pete pete 64 2008-04-11 15:14 9 -> socket:[23842]

pete@desk:~$ sudo lsof |grep 23856
[sudo] password for pete:
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/pete/.gvfs
      Output information may be incomplete.
evolution 8076 pete 17u unix 0xffff810029d438c0 23856 socket

pete@desk:~$ ltrace -p 8076
--- SIGSTOP (Stopped (signal)) ---
--- SIGSTOP (Stopped (signal)) ---
--- SIGSTOP (Stopped (signal)) ---

pete (pete-kent) wrote :

(gdb) thread apply all bt

Thread 4 (Thread 0x4197b950 (LWP 8042)):
#0 0x00007ffe46d34c76 in poll () from /lib/libc.so.6
#1 0x00007ffe47a65366 in ?? () from /usr/lib/libglib-2.0.so.0
#2 0x00007ffe47a657d7 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#3 0x00007ffe487c0b80 in ?? () from /usr/lib/libORBit-2.so.0
#4 0x00007ffe47a88054 in ?? () from /usr/lib/libglib-2.0.so.0
#5 0x00007ffe46fce3f7 in start_thread () from /lib/libpthread.so.0
#6 0x00007ffe46d3db2d in clone () from /lib/libc.so.6
#7 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x4217c950 (LWP 8044)):
#0 0x00007ffe47a55733 in g_hash_table_lookup () from /usr/lib/libglib-2.0.so.0
#1 0x00007ffe47a79ecb in g_scanner_lookup_symbol ()
   from /usr/lib/libglib-2.0.so.0
#2 0x00007ffe49b927b7 in e_sexp_remove_symbol ()
   from /usr/lib/libedataserver-1.2.so.9
#3 0x00007ffe49b92a3b in e_sexp_add_function ()
   from /usr/lib/libedataserver-1.2.so.9
#4 0x00007ffe4a07a74e in e_cal_backend_sexp_new ()
   from /usr/lib/libedata-cal-1.2.so.6
#5 0x00007ffe4a0811b8 in ?? () from /usr/lib/libedata-cal-1.2.so.6
#6 0x00007ffe487aa756 in ORBit_small_invoke_adaptor ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libORBit-2.so.0
#7 0x00007ffe487b991e in ?? () from /usr/lib/libORBit-2.so.0
#8 0x00007ffe487b9eda in ?? () from /usr/lib/libORBit-2.so.0
#9 0x00007ffe487a3ab5 in giop_thread_queue_process ()
   from /usr/lib/libORBit-2.so.0
#10 0x00007ffe487a424f in ?? () from /usr/lib/libORBit-2.so.0
#11 0x00007ffe47a89bf7 in ?? () from /usr/lib/libglib-2.0.so.0
#12 0x00007ffe47a88054 in ?? () from /usr/lib/libglib-2.0.so.0
#13 0x00007ffe46fce3f7 in start_thread () from /lib/libpthread.so.0
#14 0x00007ffe46d3db2d in clone () from /lib/libc.so.6
#15 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x41677950 (LWP 8049)):
#0 0x00007ffe46d34c76 in poll () from /lib/libc.so.6
#1 0x00007ffe47a65366 in ?? () from /usr/lib/libglib-2.0.so.0
#2 0x00007ffe47a657d7 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#3 0x00007ffe4b9dadbd in ?? () from /usr/lib/libebook-1.2.so.9
#4 0x00007ffe47a88054 in ?? () from /usr/lib/libglib-2.0.so.0
#5 0x00007ffe46fce3f7 in start_thread () from /lib/libpthread.so.0
#6 0x00007ffe46d3db2d in clone () from /lib/libc.so.6
#7 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffe4c0137a0 (LWP 8041)):
---Type <return> to continue, or q <return> to quit---
#0 0x00007ffe46d34c76 in poll () from /lib/libc.so.6
#1 0x00007ffe47a65366 in ?? () from /usr/lib/libglib-2.0.so.0
#2 0x00007ffe47a657d7 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#3 0x00007ffe48c2f466 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#4 0x00000000004041de in ?? ()
#5 0x00007ffe46c841c4 in __libc_start_main () from /lib/libc.so.6
#6 0x0000000000402f19 in ?? ()
#7 0x00007fff5403fa08 in ?? ()
#8 0x0000000000000000 in ?? ()
#0 0x00007ffe46d34c76 in poll () from /lib/libc.so.6

David Pearce (halzia) wrote :

I seeing this one on startup with up to date Hardy for several days now. This PC has been updated from 7.10.

C de-Avillez (hggdh2) wrote :

Added a note upstream.

@all: we have never been able to zero in the cause. I cannot reproduce it, so I am sort of limited. If you are hit by this:

(1) please install the debug packages for E-D-S, libc6, glib, bonobo and orbit. As of right now these are the packages for Hardy (adjust as needed between i386, AMD64, etc):

libbonobo2-0-dbgsym_2.22.0-0ubuntu1_amd64.ddeb
libc6-dbgsym_2.7-10ubuntu3_amd64.ddeb
libglib2.0-0-dbgsym_2.16.3-1_amd64.ddeb
liborbit2-dbgsym_1%3a2.14.12-0.1_amd64.ddeb
evolution-data-server-dbgsym_2.22.1-0ubuntu1_amd64.ddeb
libegroupwise1.2-13-dbgsym_2.22.1-0ubuntu1_amd64.ddeb
libedata-cal1.2-6-dbgsym_2.22.1-0ubuntu1_amd64.ddeb
libecal1.2-7-dbgsym_2.22.1-0ubuntu1_amd64.ddeb
libedata-book1.2-2-dbgsym_2.22.1-0ubuntu1_amd64.ddeb
libebook1.2-9-dbgsym_2.22.1-0ubuntu1_amd64.ddeb
libedataserver1.2-9-dbgsym_2.22.1-0ubuntu1_amd64.ddeb

Of course, the equivalent .dbg can also be used.

(2) please do not post GDB backtraces if the above debug packages are not installed. Without debug symbols there is *nothing* usable in a backtrace.

(3) this is a loop condition, I guess everybody agrees with that. A GDB backtrace provides a *static* view of where the code was at the moment GDB interrupted it. Unfortunately, this is helpful, but not enough: I still do not know if a single thread is looping, or threads are being created and destroyed. Some backtraces show actual E-D-S code in (for example, pete's comment above, thread #3), others do *not* show Evo code. It would be helpful if one of you went through GDB in a series of (interrupt, bt full, thread apply all bt) -- this might give us more details on what code paths are being used.

(4) What we need is a commonality, something similar to all. By some comments, this seems to affect people using calendars. I set myself with a google calendar, and still I cannot reproduce it. It would also be interesting to know what architecture you are running under.

(5) finally, you should consider commenting on the upstream bug.

C de-Avillez (hggdh2) wrote :

upgraded to importance high (not that this will help any).

Changed in evolution-data-server:
importance: Medium → High
C de-Avillez (hggdh2) wrote :

Hum. Re-reading my comment above I decided I did not fully explain the GDB runs I asked for. Here it is, hopefully clearer now.

It might help to have a sequence of GDB backtraces (for the same looping E-D-S). The worst possible outcome is it will not help any, and the best possible outcome is it will show us what is going on -- which means this may be fixed!

So what I would like:

1* when you find yourself with a looping E-D-S, run GDB against it (easier if done from a terminal within the X session):

% gdb -p `pidof evolution-data-server-2.22`

2* After GDB prints out the prompt, type in the following commands ('(gdb)' is the usual GDB prompt):

(gdb) set pagination off
(gdb) set logging file e-d-s-gdb.log
(gdb) set logging on
(gdb) set print pretty
(gdb) set print array

3* Now the GDB loop starts: we need to print the currently-running thread, then all threads, then continue E-D-S

(gdb) bt full
[some output generated]
(gdb) thread apply all bt
[lots of lines printed out]
(gdb) continue

4* E-D-S resumes its loop. Wait a bit, some few seconds (it does not really make any difference, since we do not know what is going on), then go back to step (3*) (after you enter GDB, you will have to CTRL-C to get the GDB prompt again). Do it some 5 times.

5* After the last set of commands in (3*), quit GDB:

(gdb) quit

6* now you can cancel this E-D-S run:

% evolution --force-shutdown

And on the next Evo startup you should not see the loop. Until you reboot, at least...

C de-Avillez (hggdh2) wrote :

ah yes, there is (still) a missing step:

(7*) upload the log file here.

Sorry.

Caroline Ford (secretlondon) wrote :

I'm running under i386.

I'm not sure what you meant by 'interrupt', I ran gbd -p #, bt full, thread apply all bt full

I then quit and attached gdb again. I have all the dbgsym libs installed, but I'm still getting messages about missing symbols on libc related things. I'm not actually sure I have any evo code running, but

0x0804b9e2 in main (argc=134684352, argv=0xbfb30de4) at server.c:418
 offline_listener = (OfflineListener *) 0x8072680
2504 in /build/buildd/glib2.0-2.16.3/glib/gmain.c

seems to be common.

Caroline Ford (secretlondon) wrote :
Caroline Ford (secretlondon) wrote :
Caroline Ford (secretlondon) wrote :
Caroline Ford (secretlondon) wrote :
Caroline Ford (secretlondon) wrote :

@hggdh Ah. Missed your new comment. Will try that now.

Caroline Ford (secretlondon) wrote :
Caroline Ford (secretlondon) wrote :

There is some evo related stuff in xsession-errors so I've attached it here.

evolution-alarm-notify-Message: Setting timeout for 33059 1208127600 1208094541
evolution-alarm-notify-Message: Mon Apr 14 00:00:00 2008
evolution-alarm-notify-Message: Sun Apr 13 14:49:01 2008
(evolution-alarm-notify:5514): libecal-WARNING **: e-cal.c:318: Unexpected response

Caroline Ford (secretlondon) wrote :

Killing evolution-alarm-notify kills the loop. Log from terminal attached.

Caroline Ford (secretlondon) wrote :

e-a-n gdb log
#0 0xb7f2d410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb6cbcc07 in poll () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Whenever I interrupted it.

Caroline Ford (secretlondon) wrote :

strace -Ff -tt -p 5545 2>&1 | tee strace-e-a-n.log

5545 = e-a-n
5609= e-d-s

Process 5604 attached with 2 threads - interrupt to quit
[pid 5545] 17:54:44.021864 restart_syscall(<... resuming interrupted call ...> <unfinished ...>
[pid 5604] 17:54:44.022292 restart_syscall(<... resuming interrupted call ...>

And that's it.

Caroline Ford (secretlondon) wrote :

Kill -9 e-a-n also seems to kill e-d-s (so this could be a red herring).

e-d-s then isn't running until I start evolution itself. It then runs without using all cpu.

Caroline Ford (secretlondon) wrote :

gdb output from eds when it isn't using 100% cpu.

Caroline Ford (secretlondon) wrote :

gdb output from e-a-n, this is from after it was killed, and e-d-s stopped looping

Caroline Ford (secretlondon) wrote :

secret@celery:~$ strace -Ff -tt -p 6914 2>&1 | tee strace-e-a-n-nice.logProcess 6915 attached with 2 threads - interrupt to quit
[pid 6914] 18:33:15.863244 restart_syscall(<... resuming interrupted call ...> <unfinished ...>
[pid 6915] 18:33:15.863626 restart_syscall(<... resuming interrupted call ...>
[2]+ Stopped strace -Ff -tt -p 6914 2>&1 | tee strace-e-a-n-nice.log

6914 is e-a-n, the only difference seems to be that the other process has an adjacent number.

Caroline Ford (secretlondon) wrote :

secret@celery:~$ pidof evolution-data-server-2.22
6880
secret@celery:~$ strace -Ff -tt -p 6880 2>&1 | tee strace-e-d-s-nice.log
Process 6923 attached with 3 threads - interrupt to quit
[pid 6880] 18:38:21.322633 restart_syscall(<... resuming interrupted call ...> <unfinished ...>
[pid 6881] 18:38:21.323129 restart_syscall(<... resuming interrupted call ...> <unfinished ...>
[pid 6923] 18:38:21.323167 restart_syscall(<... resuming interrupted call ...>
[3]+ Stopped strace -Ff -tt -p 6880 2>&1 | tee strace-e-d-s-nice.log

This needs an strace of the looping e-d-s to compare

Caroline Ford (secretlondon) wrote :

The strace of the looping e-d-s is very different.

Process 5661 attached with 3 threads - interrupt to quit
[pid 5649] 20:51:12.379524 restart_syscall(<... resuming interrupted call ...> <unfinished ...>
[pid 5661] 20:51:12.379921 restart_syscall(<... resuming interrupted call ...> <unfinished ...>
[pid 5622] 20:51:12.380314 poll([{fd=5, events=POLLIN}, {fd=7, events=POLLIN|POLLPRI}], 2, 0) = 0
.....

Caroline Ford (secretlondon) wrote :

Bug #216936 was triggered whilst running strace on the looping e-d-s.

Caroline Ford (secretlondon) wrote :

secret@celery:~$ sudo lsof -p 5573 | grep -v mem
[sudo] password for secret:
COMMAND PID USER FD TYPE DEVICE SIZE NODE NAME
evolution 5573 secret cwd DIR 3,1 4096 2 /
evolution 5573 secret rtd DIR 3,1 4096 2 /
evolution 5573 secret txt REG 3,1 20964 916385 /usr/lib/evolution/evolution-data-server-2.22
evolution 5573 secret 0u CHR 1,3 6247 /dev/null
evolution 5573 secret 1u CHR 1,3 6247 /dev/null
evolution 5573 secret 2u CHR 1,3 6247 /dev/null
evolution 5573 secret 3u FIFO 0,5 18149 pipe
evolution 5573 secret 4r FIFO 0,5 18149 pipe
evolution 5573 secret 5w FIFO 0,5 18150 pipe
evolution 5573 secret 6r FIFO 0,5 18150 pipe
evolution 5573 secret 7w FIFO 0,5 18151 pipe
evolution 5573 secret 8r FIFO 0,5 18151 pipe
evolution 5573 secret 9w unix 0xee98d1c0 18152 socket
evolution 5573 secret 10r unix 0xee98d540 18162 /tmp/orbit-secret/linc-15c5-0-3933f5c6db48
evolution 5573 secret 11w unix 0xee98dc40 18169 /tmp/orbit-secret/linc-15c5-0-3933f5c6db48
evolution 5573 secret 12r FIFO 0,5 18217 pipe
evolution 5573 secret 13w FIFO 0,5 18217 pipe
evolution 5573 secret 14u FIFO 0,5 18218 pipe
evolution 5573 secret 15u FIFO 0,5 18218 pipe
evolution 5573 secret 16u unix 0xeea97c40 18258 /tmp/orbit-secret/linc-15c5-0-3933f5c6db48
evolution 5573 secret 17u unix 0xeea97700 18255 socket
evolution 5573 secret 18u unix 0xee9f9e00 18260 /tmp/orbit-secret/linc-15c5-0-3933f5c6db48
evolution 5573 secret 19u unix 0xee98de00 18261 socket
evolution 5573 secret 20r CHR 1,9 1850 /dev/urandom
evolution 5573 secret 22r FIFO 0,5 18295 pipe
evolution 5573 secret 23w FIFO 0,5 18295 pipe
evolution 5573 secret 25w REG 3,1 12288 2258452 /home/secret/.evolution/addressbook/local/system/addressbook.db
secret@celery:~$

Caroline Ford (secretlondon) wrote :

Above was e-d-s, below is e-a-n

secret@celery:~$ pidof evolution-alarm-notify
5512
secret@celery:~$ sudo lsof -p 5512 | grep -v mem
COMMAND PID USER FD TYPE DEVICE SIZE NODE NAME
evolution 5512 secret cwd DIR 3,1 12288 2207522 /home/secret
evolution 5512 secret rtd DIR 3,1 4096 2 /
evolution 5512 secret txt REG 3,1 106852 949070 /usr/lib/evolution/2.22/evolution-alarm-notify
evolution 5512 secret 0r CHR 1,3 6247 /dev/null
evolution 5512 secret 1w FIFO 0,5 14223 pipe
evolution 5512 secret 2w FIFO 0,5 14223 pipe
evolution 5512 secret 3r unix 0xee0c7c40 17902 socket
evolution 5512 secret 4w FIFO 0,5 17904 pipe
evolution 5512 secret 5w FIFO 0,5 17904 pipe
evolution 5512 secret 6u FIFO 0,5 17905 pipe
evolution 5512 secret 7r FIFO 0,5 17905 pipe
evolution 5512 secret 8r FIFO 0,5 17906 pipe
evolution 5512 secret 9w FIFO 0,5 17906 pipe
evolution 5512 secret 10r unix 0xee0c7700 17907 socket
evolution 5512 secret 11w unix 0xee988000 17910 socket
evolution 5512 secret 12r unix 0xee93f1c0 17912 /tmp/orbit-secret/linc-1588-0-71bef2bec27e0
evolution 5512 secret 13w unix 0xee93f540 17915 /tmp/orbit-secret/linc-1588-0-71bef2bec27e0
evolution 5512 secret 14r FIFO 0,5 17917 pipe
evolution 5512 secret 15w FIFO 0,5 17917 pipe
evolution 5512 secret 16r FIFO 0,5 17918 pipe
evolution 5512 secret 17u FIFO 0,5 17918 pipe
evolution 5512 secret 18w unix 0xee0d5380 17966 socket
evolution 5512 secret 19r unix 0xee98d000 18102 /tmp/orbit-secret/linc-1588-0-71bef2bec27e0
evolution 5512 secret 20w unix 0xeea26c40 18093 socket
evolution 5512 secret 21u unix 0xeea97e00 18259 socket
evolution 5512 secret 22u unix 0xee9ea000 18262 /tmp/orbit-secret/linc-1588-0-71bef2bec27e0
secret@celery:~$

C de-Avillez (hggdh2) wrote :

Upstream has upgraded the bug to blocker, so we should have work on it soon.

ynamestnikov (ynamestnikov) wrote :

After upgrade I have no more problems with this bug=)

co0lingFir3 (coolingfire) wrote :

I've also this error with 100% CPU load by e-d-s. i dont have my cal synched with the internet and dont use evolution at all. however i'm using the weather applet in the panel.
additionally i didnt have this problem at home, where i have a wlan connection right after startup. at work however, where i do also have a internet connection at startup but i have to set up a VPN-tunnel in order to use the internet. so maybe it is related to that: e-d-s thinks the internet connection is running but gets timeout because of the missing vpn. could that be?

David Pearce (halzia) wrote :

Just had it again after a gap of a few days.
8.04 is up to latest.
Network was up before starting the PC
Evolution is not configured.
I noticed an unusual amount of disk activity at startup.
Celeron 2600 (Pentium4)

I get it 90% of the time. I'd need several days without it to think
we'd fixed it.

Same problem here with a 8.04 beta upgraded from 7.10

David Pearce (halzia) wrote :

I only ever see this bug after a cold start, not a reboot or restart from Windows (dual boot) so it looks more like uninitialised memory than a race condition

co0lingFir3 (coolingfire) wrote :

I forgot to mention that i'm using wicd as frontend to connect to the internet. but i dont think thats the reason of this issue...

David Hajage (eusebe) wrote :

Same problem in hardy up-to-date (22/04/2008).

David Pearce (halzia) wrote :

My PC upgraded from 7.10 used to use wicd. Another machine with clean install from 8.04 beta and kept up to date, on the same network, has never shown the bug,

Same problem on a updated Ubuntu 8.04 (2008-04-22 20:33)
See the screenshot
(Sorry for my English)

Polarman (mathias-ferraton) wrote :

Same problem after my update from Ubuntu 7.10 to Ubuntu 8.04RC.

I have an laptop Dell Inspiron 8600c

Elias Julkunen (eliasj) wrote :

I have had this problem too few times. But not in a week.

Thomas Boutell (boutell) wrote :

Had this problem yet again this morning on a fully updated Hardy Heron. I did not have a network at login time, I'm pretty sure I've only seen it in that situation (I am dependent on wifi a lot, though not always). I will work on getting the symbols installed so that I can trace this next time.

Thomas Boutell (boutell) wrote :

Actually I have no idea how to go about installing those ddeb packages. apt-get install doesn't seem to see them. Can anyone point me to a guide to installing debug symbol-enabled packages for package XYZ? And come to that, shouldn't there be a standardized, logical way to install a "full symbols" version of any Ubuntu package (license permitting)? That would be a great plus in terms of better bug reports from typical users.

DaveAbrahams (boostpro) wrote :

Me too, on a fully updated Hardy

tech0007 (tech0007) wrote :

Evolution (mail client) max out the cpu to 99% only when I reply to emails, as it downloads the contacts from my office exchange server. could this be it? how can i disable evolution from syncing the contacts from the exchange server?

Albert Bicchi (bicchi) wrote :
  • unnamed Edit (1.1 KiB, text/html; charset=ISO-8859-1)

In my case, I do not even use evolution nor have I created a mail account
with it. It seems like Evolution kicks the CPU load randomly.

On Sat, Apr 26, 2008 at 3:04 AM, tech0007 <email address hidden> wrote:

> Evolution (mail client) max out the cpu to 99% only when I reply to
> emails, as it downloads the contacts from my office exchange server.
> could this be it? how can i disable evolution from syncing the contacts
> from the exchange server?
>
> --
> [MASTER] E-D-S hangs on login and uses 100% cpu
> https://bugs.launchpad.net/bugs/151536
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Albert S. Bicchi - http://bicchi.blogspot.com

C de-Avillez (hggdh2) on 2008-04-26
description: updated
C de-Avillez (hggdh2) wrote :

@tech0007: yours is a different issue. Please either open a new bug for it, or go to https://answers.ubuntu.com. We will not address your problem here.

@Thomas Boutell: please see https://wiki.ubuntu.com/DebuggingProgramCrash for how to setup for ddebs. Some packages have both .dbg and .dbgsym packages; either one will have the necessary symbols (but only one can be installed). For this issue, you would need at least the libraries I pointed out here: https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/151536/comments/59.

Laurens Simonis (laurens.s) wrote :

I had this on an AMD64, running 32bit hardy, fully up-to-date. I upgraded from at least 7.04, 7.10 to 8.04. I have had this problem both after could starts, and after logouts/logins. I have never used Evolution.

I used to get this pretty consistently, but after I messed a bit with the tracker settings (I disabled Evolution email indexing) I can't get it to happen any more. If I do get it, I'll post back.

C de-Avillez (hggdh2) wrote :

For those of you that get hit quite frequently: Go to System/Preferences/Sessions; select the "Current Session" tab, and edit the "evolution-alarm-notify" entry so that it will have a higher order. The default installs will have it with Order=50; Setting it to 60 is enough. After changing the Order, select "Apply". There might be more than one e-a-n entry, edit all of them as shown.

Make sure the "Session Options" tab is either set to "Automatically remember running...", or hit the "Remember currently running applications".

Then reboot, and check if you are still hit by the bug. Ah yes, please report the results :-).

This is *NOT* a solution, but simply a test, perhaps a bypass.

Lex Berger (lexberger) wrote :

Setting the "evolution-alarm-notify" order to 60 solved the problem for me (Note that I only tested twice).

Caroline Ford (secretlondon) wrote :

I'm using i386 on a single CPU, a celeron 1200.

I have 2 entries for e-a-n in sessions preferences.

I have evolution-alarm-notify, order 50, style blank, state cogs (?) icon

/usr/lib/evolution/2.22/evolution-alarm-notify, order 50, style
settings, state ? icon

James Tait (jamestait) wrote :

{linux64, AMD64, 1 (single-core) CPU}

Linux ferrari 2.6.24-16-generic #1 SMP Thu Apr 10 12:47:45 UTC 2008 x86_64 GNU/Linux

AMD64 doesn't appear to prevent this from happening, at least not for me -- this hits me after every reboot. I actually haven't tried logging out then back in without a reboot in between. It certainly doesn't happen after suspend-to-RAM/resume. Let me know what other information I can add to the report that might help.

David Pearce (halzia) wrote :

8.04 release version
Had it again. This time I also had a network problem, dhcp had failed.

Checked in the Sessions - Startup Programs tab and Network Manager was unchecked and there was still a Wicd entry , although I had uninstalled Wicd before upgrading from 7.10.

I will remove all traces of Wicd and see if this reappears.

8.04 upgraded via Update Manager from 7.10

My issue was resolved by rebuilding my top panel with only the custom menu bar, window selector, sys monitor, volume applet, battery charge monitor, clock, and quit. I also noticed that my trash was a bit full after the 7.10 upgrade and emptied that. Strangely enough there are a few things in trash that it can't seem to remove (httpd-2.2.8). Permission denied...

I haven't had the issue since after multiple (5) reboots.

Makes sense now. I just re-added the Notification Area to my panel and I'm starting to get spikes from E-D-S again. Nothing to the level previously experienced, but it has topped at 100% for a few seconds here and there. The magnifying glass has only recently reported that it has finished indexing, which might be related as well.

Grizzly (sven-witterstein) wrote :

I am NOT using evolution (yet) - for eMail I use Thunderbird, for Calendar - my mobile. Also, my fsc Amilo A1667 G has a "Turion" 64bit-Single-Core CPU.
The bug is there, sometimes even Gnome cannot be loaded when logging in. But I see a relation, the other AMD-64-x2 machines in the household only suffer seldom.
I disabled Evolution-Alarm-Notifier and Bluetooth services completely, and I managed to find out the following:
Whenever activating the "Show Weather" and "Show Temp-Funktion" that came newly into the time applet, the time/calendar applet tends to loose it's "Home Setting" which can be set via a button only visible when hovering right beside the locations. The location seems not always to be set, so there might be a "saving" bug.

On sessions when Evolution tends to kick in for 100% CPU load, the Weather and Temp is not shown, even if space for that has been reserved left to the day/date (see red markings)

I was wondering whether it related to the tooltip "managing your tasks and appointments" so that gnome and evolution share some things they should not...

The missing weather might be another bug - but it seems to occur when evolution-notifier wants to do something...

C de-Avillez (hggdh2) wrote :

@Grizzly: "so that gnome and evolution share some things they should not..."

They should share, and they do share. The fact you do not use the Evolution email client does not mean the rest of Gnome does not use E-D-S. Anyway, I also run the weather and appointments/notes applet, and I do not suffer -- ever -- from this bug. But -- if you see E-D-S eating up CPU on startup, even with e-a-n disabled, this is news all by itself. But do you run linux32 or linux64?

So far, it seems this is more probable to happen in one-CPU systems.

@DarkerViolet: what we have observed is a sustained high CPU usage from E-D-S when the bug manifests. Non-sustained high CPU does not sound like the same issue (if an issue at all).

Caroline Ford (secretlondon) wrote :

I've set both of the e-a-n entries to 60.

It looked good, when I started gnome there was no e-d-s using all my
CPU. However at some point I heard my fan speed up and e-d-s had
started looping again.

I'm not sure if it was after X seconds, or whether it was after I'd
started firefox.

It doesn't go away, it's delayed.

I've run oprofile on my system and this is the (relevant) output:
$ opreport --symbols --image-path=/lib/modules/2.6.24-16-generic/
6759333 48.9573 libglib-2.0.so.0.1600.3 libglib-2.0.so.0.1600.3 g_hash_table_lookup
5424338 39.2880 libglib-2.0.so.0.1600.3 evolution-data-server-2.22 g_hash_table_lookup

Changed in evolution-data-server:
status: New → Confirmed
Caroline Ford (secretlondon) wrote :

I can confirm that setting them both to 60 just delays it. Pidof e-d-s and e-a-n didn't return anything. Then the looping happened and e-a-n and e-d-s were running.

Brett Alton (brett-alton) wrote :

This is all I can offer from a duplicate bug:

Public bug reported:

Binary package hint: evolution-data-server

I'm a little confused by this as I don't use 'evolution-*' (except
technically the clock in the 'gnome-panel').

I just recently installed Hardy (from scratch, but kept my preferences
in $HOME) and I've had no problems.

I have 'conky' on the desktop to view my processes, so when I noticed my
computer getting extremely sluggish, I minimized quickly to the desktop,
only to see 'evolution-data-server-2.22' using almost 100% of the CPU.

I'll gladly show you any log files necessary.

I'm not sure what else to tell you about my computer as it was a fresh
Hardy install.

$ uname -a && apt-cache policy nautilus wine evolution
Linux brett-desktop 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux
nautilus:
 Installed: 1:2.22.2-0ubuntu4
 Candidate: 1:2.22.2-0ubuntu4
 Version table:
 *** 1:2.22.2-0ubuntu4 0
       500 http://archive.ubuntu.com hardy/main Packages
       100 /var/lib/dpkg/status
wine:
 Installed: 0.9.60~winehq0~ubuntu~8.04-1ubuntu1
 Candidate: 0.9.60~winehq0~ubuntu~8.04-1ubuntu1
 Version table:
 *** 0.9.60~winehq0~ubuntu~8.04-1ubuntu1 0
       500 http://wine.budgetdedicated.com hardy/main Packages
       100 /var/lib/dpkg/status
    0.9.59-0ubuntu4 0
       500 http://archive.ubuntu.com hardy/universe Packages
evolution:
 Installed: 2.22.1-0ubuntu3
 Candidate: 2.22.1-0ubuntu3
 Version table:
 *** 2.22.1-0ubuntu3 0
       500 http://archive.ubuntu.com hardy/main Packages
       100 /var/lib/dpkg/status

** Affects: evolution-data-server (Ubuntu)
    Importance: Undecided
        Status: New

----------------

Of course, evolution-data-server was just updated this morning (2.22.1-0ubuntu2 => 2.22.1-0ubuntu2.1) so I'll see if it happens again:

$ apt-cache policy evolution-data-server
evolution-data-server:
  Installed: 2.22.1-0ubuntu2.1
  Candidate: 2.22.1-0ubuntu2.1
  Version table:
 *** 2.22.1-0ubuntu2.1 0
        500 http://archive.ubuntu.com hardy-proposed/main Packages
        100 /var/lib/dpkg/status
     2.22.1-0ubuntu2 0
        500 http://archive.ubuntu.com hardy/main Packages

{linux32, AMD64, 2 CPUs} (Intel Core 2 Duo)

Brett Alton (brett-alton) wrote :

I don't have a dual-core, but I have hyper-threading if it matters.

Intel Pentium 4 640 (3.2GHz, 2MB L2, 800MHz FSB, LGA 775) -- MMX, SSE, SSE2, SSE3, Hyper-Threading, Intel 64 (Intel's x86-64 implementation), XD bit (an NX bit implementation), Enhanced Intel SpeedStep Technology (EIST), Steppings: N0, R0

Pete Myers (petemyers) wrote :

I'm using An AMD64 Athlon (2.4GHz)... with 32 bit Hardy Heron.

On startup I get this bug. Stopping the e-d-s process halts the cpu maxout.

However... I've discovered that starting the e-d-s again manually (simply by typing the session command for alarm notify into a terminal: /usr/lib/evolution/2.22/evolution-alarm-notify) starts up e-d-s, but *without* the bug.

This may help to confirm that it's a race very early on in session startup.

Dave W. (dave.w) wrote :

This may need to be logged as a separate bug... please let me know. I'm posting it here in case it is related and can support the troubleshooting / effective workaround efforts.

I experience full CPU utilization when in on-line mode, but I've noticed that going off-line (i.e., go to the File menu, then select Work Offline) addresses the issue and CPU utilization returns to normal. Obviously, this is only a work-around, but for me it appears to be an effective one.

I'm not sure if this is relevant, but my mail configuration includes several POP servers and one MS Exchange server.

Please let me know if this needs to be logged as a separate bug. Thank you.

Distribution: 8.04 (upgraded from 7.10)
Package: Evolution 2.22.1
Computer: Sony VAIO VGN-FZ160E (dual core)

Tilly (henrik-digitilly) wrote :

I can confirm this is a problem on my boxes as well. I am not using Evolution at all on any of them.
I'm on 8.04 updated (May 3rd) -- moved from Fedora 8 where I never saw this issue.
My systems are Linux32, AMD64 3600+ / Intel 6400 dual core.
It shows on fresh reboot, more frequently on the AMD box, though.

Mihai (ropiku) wrote :

I have the same problem but I have not configured or used Evolution.
I am using 8.04 x32 and a Core Duo dual core T2500 on Fujitsu Siemens laptop.

Alterac (arkaine-pk-12) wrote :

I just updated to Hardy 8.04 about a few days ago. Before, on Gutsy 7.10, I did not have this problem.

I am using a Dual Core Laptop and the process only consumes 50% of my processor, that is, 100% of each core at a single time.

I am running linux32, Intel Core2 Duo Mobile Processor T7400, 2 CPUs.

mawg (dogintub) wrote :

os: Ubuntu 8.04 i386 (upgraded from 7.10)
cpu: 2x AMD Athlon MP 1.5ghz
motherboard: MSI-6501 (K7D-L)
using gnome

Sebastien Bacher (seb128) wrote :

does disabling the autostart rather than changing the priority workaround the issue?

Andrew (andrewkk) wrote :

{linux32, AMD64, 2 CPUs} (Intel Core 2 Duo)

Might just be a coincidence, but I'd never seen this happen before until I started switching between users via GDM. Previously I had only one user account so I'd boot, login, and shutdown. I noticed the e-d-s problem shortly after I started switching users / logging out of one user then into the next without a reboot.

Deactivating "Evolution Alarm Notifier" in
System/Preferences/Sessions/Startup Programs solves the problem for me!

I tested this on several systems!

---
I vote for replacing the dependency on Evolution in ubuntu-desktop with
a dependency on a virtual "Mail Client" package! Evolution just did too
much bad stuff for too long now!

James Tait (jamestait) wrote :

Disabling Evolution Alarm Notifier in Session Startup works around the problem. Re-ordering it to priority 60 instead of 50 only delays it.

David Hajage (eusebe) wrote :

There were an update of evolution and evolution-data-server yesterday. But this morning (2008/05/06), the bug is no solved.

I just upgraded to Ubuntu 8.04 Hardy Heron. I have the evolution-data-server-2.22 process that is eating max CPU. I don't use Evolution, never started it, and don't plan to. I have been able to kill the process from the system monitor.

For you info I'm not on a dual core CPU. My laptop (Sony Vaio VGN-TX3XP) is running on an Intel Core Solo 800 Mhz (stepping to 1.2 GHz).

C de-Avillez (hggdh2) wrote :

BYPASS -- it seems to work, at least we got some positive responses, and no negative ones (Gnome users):

1. Go to System/Preferences/Sessions;
2. select the "Startup Programs" tab;
3. unselect the "Evolution Alarm Notifier" tab;
4. select the "Current Session" tab;
5. click on the "program" header; this will order the entries alphabetically;
6. highlight *all* e-a-n entries (there might be more than one), and click on the Remove button;
7. Click on the Apply button;
8. close the Sessions applet.

9. Reboot (not really needed, but just in case).
10. login again. You should be free of the E-D-S loop.

DRAWBACK: no calendar notification is available (e-a-n is the program that checks for it).

THIS IS NOT A SOLUTION, JUST A BYPASS.

Markus Kienast (elias1884) wrote :

Please disable automatic startup of "evolution alarm notifier" until this is fixed!

Some people like me are maintaining large LTSP environments and this damn thing screws up the hole system!

* When people log out, there are left over processes.
* They are unable to login again until I kill these processes.
* Alarm Notifier consumes all CPU

I attached a ps axu showing lots of user processes left over after logout. Non of the users listed was logged in, when this file was created. Pay special attention to users 1526, 1528 (names were to long to display) and haasd. Most of their processes did not stop on logout.

They can not log in anymore now! Until I get my hands on and kill their stuff.

The other users show the usual suspects:
scheidlc 17439 0.0 0.2 5340 2216 ? S 11:42 0:00 /usr/lib/libgconf2-4/gconfd-2 12
scheidlc 7864 0.0 0.2 31992 3048 ? Ssl May06 0:00 /usr/lib/bonobo-activation/bonobo-activation-server --ac-activate --ior-output-fd=16
scheidlc 7926 0.0 0.5 42448 5724 ? Sl May06 0:00 /usr/lib/evolution/evolution-data-server-2.22 --oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_CalFactory:1.2 --oaf-ior-fd=22

This bug goes hand in hand with bug #90258. Two different problems, yes. But the same source.

Disabling Evolution Alarm Notifier solved this problem on my Laptop.
Having certain calendars enabled in Evolution especially the Birthday and Weather stuff seems to trigger some misbehaviour too, especially on the logout front.

I vote for getting rid of evolution all together. But as a quick fix, disable Evolution Alarm Notifier by default!

System info:
LTSP: 1 AMD K7 CPU (32bit)
Laptop: Some 32bit Celeron CPU pre DualCore

It would be so much easier and more accurate if I could just point you to the HW profiles of my systems, which could be attached to my launchpad profile if Canonical would fund and implement an idea outlined here:

http://brainstorm.ubuntu.com/idea/1497/
https://bugs.launchpad.net/malone/+bug/3382

Thag (bruce-edge) wrote :

For me this bug happens as soon as I click the "new message" button. I don;t even have to type anything in the new msg window.

top - 09:26:56 up 2 days, 35 min, 11 users, load average: 1.40, 0.98, 0.90
Tasks: 226 total, 2 running, 224 sleeping, 0 stopped, 0 zombie
Cpu(s): 41.0%us, 21.7%sy, 0.0%ni, 37.0%id, 0.0%wa, 0.2%hi, 0.2%si, 0.0%st
Mem: 2073768k total, 1997252k used, 76516k free, 216664k buffers
Swap: 4192924k total, 406204k used, 3786720k free, 1033256k cached

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
11125 bedge 20 0 48216 11m 8872 S 48 0.5 0:38.84 evolution-excha
11114 bedge 20 0 128m 43m 20m S 42 2.1 0:36.04 evolution
9058 bedge 20 0 7592 4140 1456 R 32 0.2 499:16.95 gconfd-2

Note that gconfd-2 also jumps permanently onto the ready list.

To recreate: start evolution, click "new message" button.

Just like everyone else, have run --force-shutdown to get it to stop.

Here's the evolution runtime info:

11114 pts/11 Sl+ 1:17 evolution
11121 ? Sl 0:00 /usr/lib/evolution/evolution-data-server-2.22 --oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_InterfaceCheck --oaf-ior-fd=17
11125 ? Sl 1:26 /usr/lib/evolution/2.22/evolution-exchange-storage --oaf-activate-iid=OAFIID:GNOME_Evolution_Exchange_Component_Factory:2.22 --oaf-ior-fd=18
11135 ? Sl 0:00 /usr/lib/evolution/2.22/evolution-alarm-notify --oaf-activate-iid=OAFIID:GNOME_Evolution_Calendar_AlarmNotify_Factory:2.22 --oaf-ior-fd=19

0 #> uname -a
Linux ice 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux

Dual core Xeon:

processor : 0 (1 is the same)
vendor_id : GenuineIntel
cpu family : 6
model : 15
model name : Intel(R) Xeon(R) CPU 5160 @ 3.00GHz
stepping : 11
cpu MHz : 2992.628
cache size : 4096 KB
physical id : 0
siblings : 2
core id : 0
cpu cores : 2
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr dca lahf_lm
bogomips : 5989.16
clflush size : 64

I disabled calendar alarm actions for all calendars. The only active plugins are :
exchange operations
local addr
local cal
mailing list act
mail to *
mark all read
save attach
select one source
subj threading

C de-Avillez (hggdh2) wrote :

@Thag: your issue does not match this bug. Please open a new bug for it (I am not aware of any current bugs dealing with evolution-exchange-storage looping).

Please have a look at http://www.gnome.org/projects/evolution/bugs.shtml, and follow the instructions on the "Exchange Connector Debug".

Thank you.

C de-Avillez (hggdh2) wrote :

@Elias Humbolt: I am confused. What does e-a-n have to do with that many processes being left running when the user logs off? Also, it is not e-a-n that consumes CPU, but e-d-s, at least on this bug. This bug deals with a loop on e-d-s on login. Any other loops, on any *other* programs, is not for this bug.

Please open a new bug for your issue; one bug per issue, since it seems you are describing more than one bug.

Finally, your vote for getting rid of evolution is of no effect here. The proper channel is the Ubuntu Development or the Ubuntu Development discussion mailing lists.

Markus Kienast (elias1884) wrote :

If you disable e-a-n the 100% cpu usage on startup described in this bug
goes away for me! So CERTAINLY e-a-n does have something to do with this
bug. Seems like you guys are looking at the wrong place.

And since disabling e-a-n does also solve the problem with the leftover
e-d-s and gconf processes described in the other bug I mentioned, it is
even more likely that e-a-n is the real sucker here! Seems to me, like
e-a-n is a piece of crap and makes all kind of other services depending
on it or services it depends on go cracy.

That is the reason I am bringing e-a-n in the play here. Because there
must be a reason the problem goes away, when I disable it.

No offence, but I think this should be enough reason to investigate in
this direction.

Elias

Dragoneye (dragoneye) wrote :

I added holidays for norway as an web ical
webcal://www.scapegoat.no/calendar/norwegian.php
to evolution->calendar
That was when my looping bug began with e-d-s.

My workaround was:

- entered property for my "Norwegian holiday ical"
   - checked "Copy calendar content locally for offline operation"
   - Refresh: 43 weeks, (previously 0 minutes, maybe thats the reason for loop?)

File->Work offline
File->Work online

got a question on synchronize witch i did. Now both my clock/alarm/calendar and all of evolution behaves as it is supposed to.

Dont know if this can lead to fixing the bug. But anyway this is my 2 cents to the pot ;-)

Brett Alton (brett-alton) wrote :

This bug stopped for me about 2 weeks ago.

I have proposed updates enabled and am running Hardy.

On Thu, May 15, 2008 at 9:29 PM, brettalton <email address hidden> wrote:
> This bug stopped for me about 2 weeks ago.
>
> I have proposed updates enabled and am running Hardy.
>
I can confirm that there are no more CPU usage issues after upgrading
to the proposed eds.
I rebooted my laptop at least twice a day for the past two weeks and I
haven't seen eds use much of the cpu. Whenever I looked at "ps ax|grep
evo..." it's always in "Sl" mode.

--
Lucian

David Hajage (eusebe) wrote :

The bug is not fixed for me this morning.

Tilly (henrik-digitilly) wrote :

For the record I can report that the bug has dissapeared from both my system the past week. (Linux 32, Intel/AMD dual core systems, Ubuntu 8.04).

David Hajage (eusebe) wrote :

I have activate proposed updates.

After reboot, the bug is NOT fixed on my laptop (Dell xps M1210).

David Hajage (eusebe) wrote :

The bug is still not fixed.
I noted that the bug appeared also when I click on the calendar of my panel, but only when my laptop is offline.

Thus, I uninstalled evolution-data-server and its dependancies : evolution and ekiga (?). I liked to see the events in my calendar on my desktop, and I'm very sad to see this functionality broken in hardy LTS.

laalamz (tom-jerry-hacker) wrote :

M using linux64, intel, 1cpu

100% usage is taking place after i have done the proposed updates

****not fixed****

Grizzly (sven-witterstein) wrote :

Not much activity here on this bug report any more. I think some recent updates have changed the bug or obscured the supposed race condition. Amilo A1667G with Turion x64 does not have the issue any more, Athlon64x2 does not have it, and new Phenom x4 does not have it. Not possible to reproduce it here, online or offline while booting/logging in or later (that is routers on/off power, wlan bridge to living room with or without power (dhcp) - doesnt make a difference).
Maybe on single cores more noticable? I am off this bug, as I cant reproduce it.

David Hajage (eusebe) wrote :

I have uninstall evolution until today, just to see if this bug was fixed.

On my Dell XPS M1210 (Intel(R) Core(TM)2 CPU T5500 @ 1.66GHz), the bug is not fixed.

Adam Niedling (krychek) wrote :

pépére: mentioning the version of Ubuntu you're using would be more useful than the frequency of you processor.

Christopher Berner (cberner) wrote :

I have Ubuntu 8.10 x64, an Intel E6400, and I'm having this problem.

driedfruit (driedfruit) wrote :

linux32, intel, 2cpu

VexaAE (vexaae) wrote :

Intrepid x32 on Intel T7100 (dual core laptop).

On my machine, it doesn't go to 100% when i login. It usually hogs CPU after using Evolution to send emails (i haven't found it hogging CPU when reading emails). Also, it only hogs AFTER I press send.

If i'm impatient I kill evolution-data-server when it goes berserk, but if you don't kill it and wait a couple minutes, it actually goes back to normal operation. It is quite a nuissance though.

jaunty amd64 on intel core duo on a Dell Vostro 1510 laptop,

same : the process goes to 100% when I want to read the first mail, if I don't wait a long time this mail is still "formatting". When the first one is read, others sometimes goes well...

{linux32, Intel, 1 CPU}

IBM Thinkpad T42p Pentium M 1.8Ghz/2Mb
Ubuntu 9.04 Jaunty Jackelope alpha
2.6.28-8-generic
evolution 2.25.91

Since this is on a laptop I have quite a few different network setups, i.e. several WLANs, normal Ethernet, UMTS via usb. If any additional data on this could be helpful, let me know. I'll try to see, whether I can find a relation between this and which network I use.

This time, I noticed the problem after a wake-up from sleep status.

Nick Twigg (nick-nick-web) wrote :

Linux64, AMD64, 2CPU's confirmed.

Ubuntu Jaunty 9.04 b5

{linux32, Intel, 2CPU}

IBM Thinkpad T60 Intel Core2Duo 1.8Ghz / 3Mb
Ubuntu 8.04 (LTS)

It's not allways using 100% of both CPU but 100% of one in any case.

The problem ist constant (by every bootup).
I have to "interupt the process" to be able to use the computer.

No problem on my Desktop {linux64, Asus, 2CPU}

Changed in evolution-data-server:
status: Confirmed → In Progress

Hi,

I'm using a thinkpad T60 {linux32, Intel core2duo, 2CPUs}. I have no
problem anymore since upgrading from Ubuntu Hardy Heron to Jaunty
Jackalope...

I hope it's helping !

Graham F (gandalfmeister) wrote :

Karic Release candidate - evolution data server maxed out at 100% and memory usage skyrocketed - at 1.0Gb and still climbing at the moment. I have 1 gmail calender that I tied to look at., and 2 gmail IMAP accounts. Eeek.

sam tygier (samtygier) wrote :

is anyone still seeing this? i have not for a while, and the upstream bug is marked fixed.

Changed in evolution-data-server (Ubuntu):
status: Triaged → Incomplete
James Tait (jamestait) wrote :

If it is still happening, it hasn't brought my machine to a standstill as it used to do. That said, I've had two re-installs since then, so that changes the picture for me anyway.

Changed in evolution-data-server:
importance: Unknown → Critical
status: In Progress → Expired
James Lewis (james-fsck) wrote :

I have not seen this happen in 10.04 or 10.10..

I have not seen ths happen in 10.04 (32 and 64 bit) too !

2010/9/16 James Lewis <email address hidden>

> I have not seen this happen in 10.04 or 10.10..
>
> --
> [MASTER] E-D-S hangs on login and uses 100% cpu
> https://bugs.launchpad.net/bugs/151536
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Evolution Data Server: Expired
> Status in “evolution-data-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: evolution-data-server
>
> <PLEASE> -- do not add simple "me too" comments, they do not help: we
> already *know* this is a problem, and these comments only make it more
> difficult to find potentially important data in the bug. If you have the
> knowledge and time to help debug, your help *is* appreciated. Go to
> #ubuntu-bugs in irc.freenode.net, and discuss it there. I am sure that any
> one of us will be more than happy to get on with this ;-)</PLEASE>
>
> On login evolution-data-server uses 100% cpu. At login
> evolution-alarm-notify is auto-started by gnome-session; e-a-n kicks in
> E-D-S and, for yet an unknown reason, E-D-S enters a loop. strace on E-D-S
> shows a sequence of very fast poll() calls; a strace on e-a-n shows e-a-n
> waiting for an event. This seems to happen on some machines, but not all. It
> affects both Evolution users and non-users -- E-D-S is still installed under
> Gnome even if you do not use the Evolution mail client.
>
> All symptoms are of a race condition, very early in E-D-S or a library
> startup. Backtraces are inconclusive, and show slightly different code
> paths. I cannot reproduce it on my machine (an AMD64 dual-core), no matter
> what I try.
>
> I would like to know what Linux and hardware architecture, and how many
> CPUs for those that are *frequently* hit (for example, {linux64, AMD64, 2
> CPUs}, meaning I am running linux64 on an AMD64 with two CPUs; {linux32,
> AMD64, 4 CPUs}, meaning I am running linux32 Intel on an AMD64 with 4
> CPUs).
>
> Right now we are considering this as a race very early on session startup,
> perhaps caused by the current placement of e-a-n on the default session list
> (with the default priority of 50). I myself still cannot reproduce it, and I
> wonder if having a dual-CPU machine, and/or linux64, and/or AMD64, makes the
> race more difficult to happen.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/evolution-data-server/+bug/151536/+subscribe
>

--
NATUCOM
Gérald Fringeli
Avenue de la Gare 41
CH - 2800 Delémont

Tel : +41(0)44.586.12.19
Fax : +41(0)32.423.12.17

<email address hidden>
www.natucom.ch

This but is affecting me on a dual core (with a lot of empty hard disk space) hp pavillion dv9000, Ubuntu 10.04.
uname -a
Linux Balenotterax 2.6.32-25-generic #45-Ubuntu SMP Sat Oct 16 19:52:42 UTC 2010 x86_64 GNU/Linux

Thank you,
Ricky

Evan Peck (colors) on 2012-01-17
Changed in evolution-data-server (Ubuntu):
status: Incomplete → Confirmed
Sebastien Bacher (seb128) wrote :

this bug is old and didn't get duplicates in years, upstream closed it as obsolete, doing the same, if you still get issues better to register a new bug report

Changed in evolution-data-server (Ubuntu):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.